Subject: bug#57079: 29.0.50; Performance of seq-uniq is not very good

From: Michael Heerdegen <[email-masked]>
Date: Sat, 13 Aug 2022 22:24:38 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I think we're into cl-lib.el territory then -- seq doesn't do KEY.

It would make lots of uses much faster, call it as you like, don't think
about how it's used in CL, it makes sense to add it as functionality to
this function - that's the important part.  We can find a different
interface if you prefer that, e.g. allow the test function to be
(TEST F) or something like that.

I have search for occurrences of `seq-uniq' in all elisp files on my
computer, and nearly all non-standard tests fell into this class.
That's why I think we should provide a way to use `seq-uniq' for such
cases.  I had not at all been inspired by CL.

Michael.